const int distancePin = 0;
const int soundPin = 3;

const int sampleCount = 10;
int soundHistory[sampleCount];
int thisSample = 0;
long int averageSample = 0;

int previousTone = 0;

void setup() {
  // put your setup code here, to run once:
  pinMode(distancePin, INPUT);
  pinMode(soundPin, OUTPUT);

  for (int i = 0; i < sampleCount; i++) {
    soundHistory[i] = 0;
  }

  Serial.begin(115200);
}

void loop() {

  int distance = analogRead(distancePin);

  soundHistory[thisSample] = distance * 4;
  thisSample += 1;
  if (thisSample == sampleCount) {
    thisSample = 0;
  }

  averageSample = 0;
  for (int i = 0; i < sampleCount; i++) {
    averageSample += soundHistory[i];

  }

  averageSample = averageSample / sampleCount;
  Serial.println(averageSample);

  int band = averageSample / 50;
  Serial.println(band);
  averageSample = band * 50;

  if (previousTone != averageSample) {
    previousTone = averageSample;
    tone(soundPin, averageSample );
  }
  delay(100);
}
